Get a Specific Commit Comment in the Repository
GET/api/v5/repos/:owner/:repo/comments/:id
Request
Path Parameters
owner stringrequired
Repository space address (organization or individual's address path)
repo stringrequired
Repository path (path)
id stringrequired
comment_id
Query Parameters
access_token string
User authorization code
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
bodystring
created_atstring
idinteger
target object
object
updated_atstring
user object
idinteger
loginstring
namestring
typestring
{
"body": "string",
"created_at": "string",
"id": 0,
"target": {},
"updated_at": "string",
"user": {
"id": 0,
"login": "string",
"name": "string",
"type": "string"
}
}
{
"body": "Afu time to enjoy the scenery",
"created_at": "2024-11-06T09:43:23+08:00",
"id": 1492393,
"target": {},
"updated_at": "2024-11-06T15:18:04+08:00",
"user": {
"id": 496,
"login": "xiaogang",
"name": "xiaogang",
"type": "User"
}
}